<h2>
  Добавить запись урока
</h2>
<div class="card">
  <div class="card-body">
    <form name="classForm" [formGroup]="classForm" (ngSubmit)="onSubmit()">
      <div class="form-row">
        <div class="form-group col-md-6">
          <label>Группа</label>
          <select formControlName="group_id" class="form-control">
            <option [ngValue]="group.id" *ngFor="let group of groups">
              {{group.name}}
            </option>
          </select>
        </div>
        <div class="form-group col-md-6">
          <label>Дата</label>
          <input class="form-control" formControlName="class_date" (click)="d.toggle()" placeholder="yyyy-mm-dd" name="class_date" ngbDatepicker #d="ngbDatepicker">
        </div>
      </div>
      <div class="form-row">
        <div class="form-group col-md-6">
          <label>Время начала</label>
          <ngb-timepicker formControlName="start_time"></ngb-timepicker>
        </div>
        <div class="form-group col-md-6">
          <label>Время окончания</label>
          <ngb-timepicker formControlName="end_time"></ngb-timepicker>
        </div>
      </div>
      <div class="form-group">
        <label>Комментарий</label>
        <textarea class="form-control" formControlName="comments" rows="3"></textarea>
      </div>
      <button class="btn btn-primary" [disabled]="classForm.invalid" type="submit">Сохранить</button>
    </form>
  </div>
</div>
<hr />
<div class="row">
  <div class="col-sm-12 col-md-4">
      <h2>
        Группы
      </h2>
      <ul class="list-group">
        <li class="list-group-item d-flex justify-content-between align-items-center pointer" 
        *ngFor="let group of groups" 
        (click)="selectGroup(group)"
        [class.active]="group===selectedGroup.getValue()"
        >
          {{group.name}}
        </li>
      </ul>
  </div>
  <div class="col-sm-12 col-md-8">
    <div *ngIf="selectedGroup.getValue()" class="max-height-100">
      <app-group-exercises [groupObserver]="selectedGroup.asObservable()"></app-group-exercises>
    </div>
  </div>
</div>
<hr />
<div *ngIf="selectedGroupId.getValue()">
  <app-students [groupId]="selectedGroupId.asObservable()"></app-students>
</div>
